# .NET 6.0.200-preview.22055.15 SDK - January 20, 2022

The .NET 6.0.200-preview.22055.15 Preview SDK release is available for download. This SDK includes the previously released .NET 6.0.1 Runtime and is in support of Visual Studio 17.1 Preview 3 release. The latest 6.0 release is always listed at [.NET 6.0 Releases](../README.md).


## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |Windows Desktop Runtime          |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] \| [Arm64][dotnet-sdk-win-arm64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] \|  [Arm64][dotnet-sdk-win-arm64.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] \| [Arm64][dotnet-runtime-win-arm64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] \| [Arm64][dotnet-runtime-win-arm64.zip] | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] \|<br/> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> | [x86][windowsdesktop-runtime-win-x86.exe] \| [x64][windowsdesktop-runtime-win-x64.exe] \| [Arm64][windowsdesktop-runtime-win-arm64.exe] |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg] \| [ARM64][dotnet-sdk-osx-arm64.pkg] | [x64][dotnet-sdk-osx-x64.tar.gz] \| [ARM64][dotnet-sdk-osx-arm64.tar.gz]  | [x64][dotnet-runtime-osx-x64.pkg] \| [ARM64][dotnet-runtime-osx-arm64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] \| [ARM64][dotnet-runtime-osx-arm64.tar.gz]| [x64][aspnetcore-runtime-osx-x64.tar.gz] \| [ARM64][aspnetcore-runtime-osx-arm64.tar.gz] | - |<sup>1</sup>
| Linux     |  [Snap and Package Manager](../install-linux.md)  | [x64][dotnet-sdk-linux-x64.tar.gz] \| [Arm][dotnet-sdk-linux-arm.tar.gz]  \| [Arm64][dotnet-sdk-linux-arm64.tar.gz] \| [Arm32 Alpine][dotnet-sdk-linux-musl-arm.tar.gz]  \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | [Packages (x64)][linux-packages] | [x64][dotnet-runtime-linux-x64.tar.gz] \| [Arm][dotnet-runtime-linux-arm.tar.gz] \| [Arm64][dotnet-runtime-linux-arm64.tar.gz] \| [Arm32 Alpine][dotnet-runtime-linux-musl-arm.tar.gz] \| [Arm64 Alpine][dotnet-runtime-linux-musl-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz]  | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [Arm][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [Arm64][aspnetcore-runtime-linux-arm64.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz] | - | <sup>1</sup> |
|  | [Checksums][checksums-sdk]                             | [Checksums][checksums-sdk]                                      | [Checksums][checksums-runtime]                             | [Checksums][checksums-runtime]  | [Checksums][checksums-runtime]  | [Checksums][checksums-runtime]


1. Includes the .NET Runtime and ASP.NET Core Runtime
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Runtime.


The .NET SDK includes a matching updated .NET Runtime. Downloading the Runtime or ASP.NET Core packages is not needed when installing the SDK.

You can check your .NET SDK version by running the following command. The example version shown is for this release.

```console
$ dotnet --version
6.0.200-preview
```
Visit [.NET Documentation](https://learn.microsoft.com/dotnet/core/) to learn about .NET, for building many different types of applications.




## Visual Studio Compatibility

You need [Visual Studio 17.1 Preview 3](https://visualstudio.microsoft.com) or later to use .NET 6.0 on Windows. On macOS, you need the latest version of [Visual Studio for Mac](https://visualstudio.microsoft.com/vs/mac/). The [C# extension](https://code.visualstudio.com/docs/languages/dotnet) for [Visual Studio Code](https://code.visualstudio.com/) supports .NET 6.0 and C# 10.0.


[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/main/release-notes/6.0/6.0.1/6.0.200-preview-sdk.md

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/6.0.1-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/6.0.1-sha.txt

[linux-install]: https://learn.microsoft.com/dotnet/core/install/linux
[linux-setup]: https://github.com/dotnet/core/blob/main/Documentation/linux-setup.md

[dotnet-blog]:  https://devblogs.microsoft.com/dotnet/announcing-net-6/
[aspnet-blog]: https://devblogs.microsoft.com/dotnet/announcing-asp-net-core-in-net-6/
[maui-blog]: https://devblogs.microsoft.com/dotnet/update-on-dotnet-maui/

[linux-packages]: ../install-linux.md

## Packages updated in this release:

Package name | Version
:----------- | :------------------
Microsoft.TemplateEngine.Abstractions | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateEngine.Core | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateEngine.Edge | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateEngine.IDE | 6.0.200-preview.21623.5.nupkg
Microsoft.DotNet.Common.ItemTemplates | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateEngine.Core.Contracts | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateEngine.TemplateLocalizer | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateEngine.TemplateLocalizer.Core | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateEngine.Utils | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateSearch.Common | 6.0.200-preview.21623.5.nupkg
Microsoft.DotNet.Common.ProjectTemplates | 6.0 | 6.0.200-preview.21623.5.nupkg
Microsoft.TemplateEngine.Orchestrator.RunnableProjects | 6.0.200-preview.21623.5.nupkg
Microsoft.DotNet.Compatibility | 1.0.0-preview.22055.20.nupkg
FSharp.Core | 6.0.2-beta.21610.1.nupkg
FSharp.Compiler.Service | 41.0.2-preview.21610.1.nupkg
Microsoft.FSharp.Compiler | 12.0.1-beta.21610.1.nupkg





[//]: # ( Runtime 6.0.1)
[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/bdea32df-7ab8-47f5-8f8c-3de28d5771d0/c839293beeace695b6698debaedd345e/dotnet-runtime-6.0.1-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/002742a9-8107-4434-a208-863f07e09397/75884224d828a34b7c5f070df5213553/dotnet-runtime-6.0.1-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/ec103bef-97f1-463f-b456-1dfe2473780b/5bbf354345896169c2bff2ec93e522b5/dotnet-runtime-6.0.1-linux-musl-arm.tar.gz
[dotnet-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/90106452-a511-4dea-a51c-efe756434492/111563cc5d540a59dd0b6c74f5146ca8/dotnet-runtime-6.0.1-linux-musl-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/0bd52fac-c9ac-4403-a8a0-60cce7f6787d/90cc619f2797076a89e97f497fa8495c/dotnet-runtime-6.0.1-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/be8a513c-f3bb-4fbd-b382-6596cf0d67b5/968e205c44eabd205b8ea98be250b880/dotnet-runtime-6.0.1-linux-x64.tar.gz
[dotnet-runtime-osx-arm64.pkg]: https://download.visualstudio.microsoft.com/download/pr/51646583-741c-481e-b598-f13dc719cdf4/3adaa0faa24326fd7cc2265e957339bf/dotnet-runtime-6.0.1-osx-arm64.pkg
[dotnet-runtime-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/88d4eaf6-3e85-4f99-92d3-46b85e0d0289/e233ec478e24c415cbde0ff712148f03/dotnet-runtime-6.0.1-osx-arm64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/6824b342-4659-40a1-ab73-25dd43e5e225/e57b1bfa437cf152f2d7064246bfb653/dotnet-runtime-6.0.1-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/56ae949c-f246-44e3-bdb3-a89847123ed2/d35135999651b78c0ef42b0e19cf06c0/dotnet-runtime-6.0.1-osx-x64.tar.gz
[dotnet-runtime-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/5523e915-f92b-421a-84a5-303831c56f38/d415141f5879c047878673eb69dfd5cd/dotnet-runtime-6.0.1-win-arm64.exe
[dotnet-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/6158fb62-88aa-4767-9c62-7c0b8cd778c1/5ede5da1545e5619a699d76eea3942fb/dotnet-runtime-6.0.1-win-arm64.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/df4372ca-82c8-4bfa-acf9-c49e27279e7e/6bddefd26964017ff520dc1443029e04/dotnet-runtime-6.0.1-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/9347a0de-bc9f-455d-8224-2fdcdd4e92fe/83d5eeca56ad51922e47e8bd3880f738/dotnet-runtime-6.0.1-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/a4583478-b841-4b42-8118-a40069a16ba7/402e04d30b6df8b9f0e191bbbf45a217/dotnet-runtime-6.0.1-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/0c58583d-467f-423e-8271-46c86a7b5889/eab14c017492f514442ecb7d5df8b4a2/dotnet-runtime-6.0.1-win-x86.zip

[//]: # ( WindowsDesktop 6.0.1)
[windowsdesktop-runtime-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/f30c6083-6119-4a10-8b01-ded5d7dac269/00c6ada6ace3b0ff1b0468bc27d84129/windowsdesktop-runtime-6.0.1-win-arm64.exe
[windowsdesktop-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/bf058765-6f71-4971-aee1-15229d8bfb3e/c3366e6b74bec066487cd643f915274d/windowsdesktop-runtime-6.0.1-win-x64.exe
[windowsdesktop-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/7977218c-1a01-4b69-a8ec-9d9311a6de5b/4c74f995295be78a9ebe1d5fede8f7f3/windowsdesktop-runtime-6.0.1-win-x86.exe

[//]: # ( ASP 6.0.1)
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/ff3b2714-0dee-4cf9-94ee-cb9f5ded285f/d6bfe8668428f9eb28acdf6b6f5a81bc/aspnetcore-runtime-6.0.1-linux-arm.tar.gz
[aspnetcore-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/01f8a4af-9d6c-40ff-b834-a1d73105a9d5/aba0525a8b8cb745ac70ecd671acf0e0/aspnetcore-runtime-6.0.1-linux-arm64.tar.gz
[aspnetcore-runtime-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2f867681-deb8-4eab-bf1b-01a90afa2ef8/3c0b6aa2c5973b89a5e91fb2b627ae05/aspnetcore-runtime-6.0.1-linux-musl-arm.tar.gz
[aspnetcore-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/9278d7dc-3cb7-4428-be20-56df885011b9/0ef3b37ed737cebccd3c5675e0d7b1ee/aspnetcore-runtime-6.0.1-linux-musl-arm64.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f0f65ac3-3a10-45a0-950b-e6772ea3851b/cdbd4726e259f87d40f336cbc48a2493/aspnetcore-runtime-6.0.1-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/32230fb9-df1e-4b86-b009-12d889cbfa8a/f57a5d92327bb2936caac94bcf602c22/aspnetcore-runtime-6.0.1-linux-x64.tar.gz
[aspnetcore-runtime-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/1bfc1445-dc00-4bee-b63e-3752d6669cc6/7f04f913c40349a653b1b47e9133e11b/aspnetcore-runtime-6.0.1-osx-arm64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/0cd8b55e-7d7e-41c5-93f3-ebc7ffc18ddc/fd3c2698214d01e5b4b57d5d9b53b0e4/aspnetcore-runtime-6.0.1-osx-x64.tar.gz
[aspnetcore-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/7f88f691-c9bd-49a8-a273-2544550f817a/ee2371e7cf252b7bc6cfc44dc5462a69/aspnetcore-runtime-6.0.1-win-arm64.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/d526db30-5bfe-4c24-808c-4d8f5d2ba479/ae90c40bdefb2f1775d812ede8e84309/aspnetcore-runtime-6.0.1-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/820770c3-1a48-4a4f-bde3-792c925fee63/f44564603cc0592e4a3f33205a0273ba/aspnetcore-runtime-6.0.1-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/a706a729-c897-4e01-b51e-af8bf9c0183e/25d022b1b1976ab267ffd862d140dc20/aspnetcore-runtime-6.0.1-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/c487f9aa-c73a-4f00-bf7b-51007e1688e2/2b9d173afdd59a81746be036f758a6d7/aspnetcore-runtime-6.0.1-win-x86.zip
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/b69fc347-c3c8-49bc-b452-dc89a1efdf7b/ebac64c8271dab3b9b1e87c72ef47374/dotnet-hosting-6.0.1-win.exe


[//]: # ( SDK 6.0.200-preview.22055.15)
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e566f3dd-2262-44db-aaeb-71bcf610de05/7b424c1d19aa0274968a655007f0ead2/dotnet-sdk-6.0.200-preview.22055.15-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/93b4c798-dc19-48ea-aebb-00fa530322c2/09fb1538eeef4f4c97f808b7ea39b28e/dotnet-sdk-6.0.200-preview.22055.15-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e7d897c0-a835-4265-8c5c-4d2f42bc309a/bc4dabf804361fe5ee0114268430e8ee/dotnet-sdk-6.0.200-preview.22055.15-linux-musl-arm.tar.gz
[dotnet-sdk-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/46115e03-a503-4ec7-a075-bde710107fe3/3368275500de3058c65965d75583f48b/dotnet-sdk-6.0.200-preview.22055.15-linux-musl-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/10ca6f46-8d48-43ff-ac27-e9111e034bc2/cf0429d98af3c3d79c88998e32c691ee/dotnet-sdk-6.0.200-preview.22055.15-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f411a26b-37f8-453e-8cf1-6106e1401bdf/c60b25119a45f1c1aca10c7ecc83759b/dotnet-sdk-6.0.200-preview.22055.15-linux-x64.tar.gz
[dotnet-sdk-osx-arm64.pkg]: https://download.visualstudio.microsoft.com/download/pr/f1613848-9361-45fc-b64a-bfd4bf04a23b/9a53dc04250acfb444fad5ded2260e9f/dotnet-sdk-6.0.200-preview.22055.15-osx-arm64.pkg
[dotnet-sdk-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/aa30f765-bd18-4923-9802-e04502bdf555/4c0b41bf6ac3f4639ce45feb84ddbb54/dotnet-sdk-6.0.200-preview.22055.15-osx-arm64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/77141b0e-c62b-4eef-bc74-2ca2ebe8b2da/4c4b2c70d613e5da179d555f02043094/dotnet-sdk-6.0.200-preview.22055.15-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d31773eb-7c5b-4fe2-a3d3-9db6ddeccad4/6441cbd39ee6002105587ad46a7b9f7a/dotnet-sdk-6.0.200-preview.22055.15-osx-x64.tar.gz
[dotnet-sdk-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/372b6a0f-3d35-455f-a491-5d32859c6eaa/c00ba9f1b45055d600995fa98c297ffe/dotnet-sdk-6.0.200-preview.22055.15-win-arm64.exe
[dotnet-sdk-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/8b25b7af-f2df-4f54-8f3d-6da16f5d9b1a/e4c69ce3ce78d1d1e91c323aced268d9/dotnet-sdk-6.0.200-preview.22055.15-win-arm64.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/2ab6cce6-76af-43d4-913c-8406ff893bd0/c7873cb3d51d8f46a97ab4946bed5e72/dotnet-sdk-6.0.200-preview.22055.15-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/de4eb1b3-1307-46a5-923b-51a4838872fe/41e4e5bcd57f60bcb911d67930213db7/dotnet-sdk-6.0.200-preview.22055.15-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/d33ad26e-0ab2-4893-8348-2221a7f18a3a/8d73e203b3208edad1e3113338dff563/dotnet-sdk-6.0.200-preview.22055.15-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/a84b9b30-e5fd-407a-97d6-e14f54eebc51/232912450405b2278c06a692197e87ad/dotnet-sdk-6.0.200-preview.22055.15-win-x86.zip


