# Microsoft.AspNetCore.Mvc

``` diff
 namespace Microsoft.AspNetCore.Mvc {
-    public class ConsumesAttribute : Attribute, IActionConstraint, IActionConstraintMetadata, IApiRequestMetadataProvider, IConsumesActionConstraint, IFilterMetadata, IResourceFilter {
+    public class ConsumesAttribute : Attribute, IAcceptsMetadata, IActionConstraint, IActionConstraintMetadata, IApiRequestMetadataProvider, IConsumesActionConstraint, IFilterMetadata, IResourceFilter {
+        public ConsumesAttribute(Type requestType, string contentType, params string[] otherContentTypes);
+        public bool IsOptional { get; set; }
+        IReadOnlyList<string> Microsoft.AspNetCore.Http.Metadata.IAcceptsMetadata.ContentTypes { get; }
+        Type Microsoft.AspNetCore.Http.Metadata.IAcceptsMetadata.RequestType { get; }
     }
-    public class FromBodyAttribute : Attribute, IBindingSourceMetadata, IConfigureEmptyBodyBehavior {
+    public class FromBodyAttribute : Attribute, IBindingSourceMetadata, IConfigureEmptyBodyBehavior, IFromBodyMetadata {
+        bool Microsoft.AspNetCore.Http.Metadata.IFromBodyMetadata.AllowEmpty { get; }
     }
-    public class FromHeaderAttribute : Attribute, IBindingSourceMetadata, IModelNameProvider
+    public class FromHeaderAttribute : Attribute, IBindingSourceMetadata, IFromHeaderMetadata, IModelNameProvider
-    public class FromQueryAttribute : Attribute, IBindingSourceMetadata, IModelNameProvider
+    public class FromQueryAttribute : Attribute, IBindingSourceMetadata, IFromQueryMetadata, IModelNameProvider
-    public class FromRouteAttribute : Attribute, IBindingSourceMetadata, IModelNameProvider
+    public class FromRouteAttribute : Attribute, IBindingSourceMetadata, IFromRouteMetadata, IModelNameProvider
-    public class FromServicesAttribute : Attribute, IBindingSourceMetadata
+    public class FromServicesAttribute : Attribute, IBindingSourceMetadata, IFromServiceMetadata
     public class JsonOptions {
+        public bool AllowInputFormatterExceptionMessages { get; set; }
     }
     public class MvcOptions : IEnumerable, IEnumerable<ICompatibilitySwitch> {
+        public bool EnableActionInvokers { get; set; }
     }
     public class ProducesResponseTypeAttribute : Attribute, IApiResponseMetadataProvider, IFilterMetadata {
+        public ProducesResponseTypeAttribute(Type type, int statusCode, string contentType, params string[] additionalContentTypes);
     }
-    public class SignOutResult : ActionResult {
+    public class SignOutResult : ActionResult, IResult {
+        Task Microsoft.AspNetCore.Http.IResult.ExecuteAsync(HttpContext httpContext);
     }
-    public class ValidationProblemDetails : ProblemDetails {
+    public class ValidationProblemDetails : HttpValidationProblemDetails {
-        public IDictionary<string, string[]> Errors { get; }
+        public new IDictionary<string, string[]> Errors { get; }
     }
 }
```

